systemtap use problem

296 views
Skip to first unread message

joemed...@gmail.com

unread,
Mar 3, 2016, 10:24:05 PM3/3/16
to openresty-en
hi all:
      uname -r print:3.10.0-229.14.1.el7.x86_64;  so that  installed kernel-debuginfo-3.10.0-229.14.1.el7.x86_64 、kernel-debuginfo-common-3.10.0-229.14.1.el7.x86_64 、
kernel-devel-3.10.0-229.14.1.el7.x86_64 tools,and yum install systemtap , systemtap final install version for :Systemtap translator/driver (version 2.6/0.163, non-git sources)
problem: executed command stap -v -e 'probe vfs.read {printf("read performed\n"); exit()}', print error:module version mismatch (#1 SMP Tue Sep 15 05:09:55 CDT 2015 vs #1 SMP Tue Sep 15 15:05:51 UTC 2015), release 3.10.0-229.14.1.el7.x86_64


Yichun Zhang (agentzh)

unread,
Mar 4, 2016, 1:37:33 PM3/4/16
to openresty-en
Hello!
I've already replied to you on GitHub:

https://github.com/openresty/nginx-systemtap-toolkit/issues/30

Please do not cross-post. It's very annoying. Use the mailing list
(exclusively) wherever you can.

Regards,
-agentzh
Reply all
Reply to author
Forward
0 new messages